#!/bin/bash

function set_deploy_trigger() {
   juju set content-fetcher deploy_trigger=$(juju get content-fetcher | grep -A6 'deploy_trigger:' | awk '/value:/ {print $2 + 1}')
}

function start_content_fetcher() {
    ctrl_script="./testserver/ctrl-test-content-fetcher.sh"
    juju ssh ubuntu/0 "$ctrl_script stop" 2>&1 | grep -Ev "Connection to.*closed"
    cmd_out=$(juju ssh ubuntu/0 "$ctrl_script start $@" 2>&1 | grep archive_location | grep -Ev "Connection to.*closed")
    archive_location=$(echo $cmd_out | sed -e 's!^.*=!!' -e 's/\r//' -e 's/\n//')
}

function test_content() {
    content=$1
    wait_time=900
    sleep_time=10
    found_content=0
    for (( c=1; c<=$wait_time; c = c + $sleep_time )); do
        page_content=$(juju ssh apache2/0 "curl http://127.0.0.1" 2>&1 | grep -Ev "Connection to.*closed")
        if echo $page_content | grep "$1" > /dev/null; then
            return 0
        fi
        sleep $sleep_time
    done
    return 1
}

function get_series() {
    juju status | awk '/series:/ {print $2; count++; if (count>0) exit}'
}
