#!/bin/bash

mode=$1
shift

access_info=~/access_info.txt
access_debug=~/access_debug.txt
> $access_info
chmod 600 $access_info

if [[ $mode == "start" ]]; then
    if [[ ${@:-1} == "bzr+ssh" ]]; then
        ./testserver/test-content-fetcher.py $@ &> $access_info
    else
        nohup ./testserver/test-content-fetcher.py $@ &> $access_info &
    fi
    wait_time=900
    sleep_time=10
    for (( c=1; c<=$wait_time; c = c + $sleep_time )); do
        if grep archive $access_info; then
            exit 0
        fi
        sleep $sleep_time
    done
    echo "Archive url not found"
    exit 1
elif [[ $mode == "stop" ]]; then
    if pgrep -f test-content-fetcher.py > /dev/null; then
        pkill -f test-content-fetcher.py
    fi
fi

